can I update a Mac 10.6.8 for new iworks?

I see that a 10.7 or higher is required?

1 Answer from the Community

  • Answer

    no

    • Answered by Daniela R from Chilliwack
    • 03 13, 14